License API

Endpoint untuk membaca, validasi, registrasi, reset, dan unregister license.

License API digunakan untuk integrasi yang membutuhkan manajemen license key.

Endpoint

http
GET /licenses
GET /licenses/by-code/{code}
GET /licenses/by-string/{string}
POST /licenses
POST /licenses/{id}
GET /licenses/status
POST /licenses/status
GET /licenses/reset
POST /licenses/reset
GET /licenses/validate
POST /licenses/validate
POST /licenses/register
GET /licenses/unregister
POST /licenses/unregister

Scopes

OperasiScope
Membaca licenselicenses:read
Membuat/update/validasi licenselicenses:write

List License

http
GET /wp-json/sejoli/v1/licenses

Cari License

http
GET /wp-json/sejoli/v1/licenses/by-code/{code}
GET /wp-json/sejoli/v1/licenses/by-string/{string}

Buat License

http
POST /wp-json/sejoli/v1/licenses

Update License

http
POST /wp-json/sejoli/v1/licenses/{id}

Jika license tidak ditemukan, API mengembalikan error JSON 404 rest_not_found.

Status License

http
GET  /wp-json/sejoli/v1/licenses/status
POST /wp-json/sejoli/v1/licenses/status

Reset License

http
GET  /wp-json/sejoli/v1/licenses/reset
POST /wp-json/sejoli/v1/licenses/reset

Validate License

http
GET  /wp-json/sejoli/v1/licenses/validate
POST /wp-json/sejoli/v1/licenses/validate

Register License

http
POST /wp-json/sejoli/v1/licenses/register

Unregister License

http
GET  /wp-json/sejoli/v1/licenses/unregister
POST /wp-json/sejoli/v1/licenses/unregister

Last updated Jul 6, 2026